<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

   <android.support.v4.widget.SwipeRefreshLayout
       android:id="@+id/my_sr"
       android:layout_width="match_parent"
       android:layout_height="match_parent">
       <RelativeLayout
           android:layout_width="match_parent"
           android:layout_height="match_parent">
           <android.support.v7.widget.RecyclerView
               android:id="@+id/my_rv"
               android:layout_width="match_parent"
               android:layout_height="match_parent">

           </android.support.v7.widget.RecyclerView>

           <LinearLayout
               android:id="@+id/rl_my_share_is_null"
               android:layout_width="wrap_content"
               android:layout_height="wrap_content"
               android:layout_centerInParent="true"
               android:orientation="vertical"
               android:gravity="center"
               android:visibility="gone">
               <ImageView
                   android:id="@+id/iv_share_null"
                   android:layout_width="wrap_content"
                   android:layout_height="wrap_content"
                   android:src="@mipmap/blank_img_share"/>

               <TextView
                   android:id="@+id/tv_share_null_tip"
                   android:layout_width="wrap_content"
                   android:layout_height="wrap_content"
                   android:layout_marginTop="10dp"
                   android:text="@string/tv_not_shared_your_device"/>
           </LinearLayout>
       </RelativeLayout>
   </android.support.v4.widget.SwipeRefreshLayout>


</android.support.constraint.ConstraintLayout>